/**
 * Call a function after a certain time has passed. Uses the `window.setTimeout()`.
 */
export declare class Timeout {
    private is_active;
    private id;
    constructor();
    /**
     * Starts the timeout. If there was an active timeout already, that one is canceled.
     *
     * Throws an `Error` exception if:
     * - `functionToCall` isn't a function.
     * - `interval` isn't a number.
     */
    start(functionToCall: Function, interval: number): void;
    /**
     * Cancels the timeout.
     */
    clear(): void;
    /**
     * Returns whether the timeout is active or not.
     */
    isActive(): boolean;
}
