"use strict";function isArray(t){return"[object Array]"===Object.prototype.toString.call(t)}function isBoolean(t){return!0===t||!1===t||"[object Boolean]"===Object.prototype.toString.call(t)}function isFunction(t){return"function"==typeof t&&"[object Function]"===Object.prototype.toString.call(t)}function isInteger(t){return isNumber(t)&&t%1==0}function isNumber(t){return"number"==typeof t&&!isNaN(parseFloat(t))&&isFinite(t)}function isString(t){return"string"==typeof t||t instanceof String}function getRandomFloat(t,e){if(!isNumber(t)||!isNumber(e)||t>e)throw new Error("Utilities.getRandomFloat() -> Invalid arguments. Either 'min'/'max' are not numbers, or 'min' > 'max'.");return Math.random()*(e-t)+t}function getRandomInt(t,e){if(!isInteger(t)||!isInteger(e)||t>e)throw new Error("Utilities.getRandomInt() -> Invalid arguments. Either 'min'/'max' are not integers, or 'min > 'max'.");return Math.floor(Math.random()*(e-t+1))+t}function getSeveralRandomInts(t,e,i){if(!isInteger(t)||!isInteger(e)||!isInteger(i)||t>e||e-t<i-1)throw new Error("Utilities.getSeveralRandomInts() -> Invalid arguments.");let n=0;const o={};for(;n<i;){var r=getRandomInt(t,e);void 0===o[r]&&(o[r]=r,n++)}return Object.values(o)}function numberOfDigits(t){if(!isNumber(t))throw new Error("Utilities.numberOfDigits() -> Invalid 'theNumber' argument. Not a number.");return t<0&&(t*=-1),t.toString().replace(".","").length}function round(t,e){if(!isNumber(t)||!isInteger(e)||e<0)throw new Error("Utilities.round() -> Invalid arguments.");return Math.round(t*Math.pow(10,e))/Math.pow(10,e)}function timeToString(t){let{time:e,units:i,format:n}=t;if(!isNumber(e))throw new Error("Utilities.timeToString() -> Invalid 'time' argument. Not a number.");(!isNumber(i)||i<1)&&(i=2),"daytime"!==n&&(n="string");let o=e;const r=Math.floor(o/864e5);o%=864e5;const s=Math.floor(o/36e5);o%=36e5;const a=Math.floor(o/6e4),l=round((o%=6e4)/1e3,2);let c="";if("daytime"===n){r>0&&(c+=`${r} `),c+=`${s.toString().padStart(2,"0")}:${a.toString().padStart(2,"0")}:${l.toString().padStart(2,"0")}`}else{const t=[{name:"day",time:r},{name:"hour",time:s},{name:"minute",time:a},{name:"second",time:l}],e=function(t,e){return 1!==e&&(t+="s"),e+" "+t};for(let n=0;n<t.length&&0!==i;n++){let o=t[n];0!==o.time&&(""!==c&&(c+=" "),c+=e(o.name,o.time),i--)}""===c&&(c="0 seconds")}return c}Object.defineProperty(exports,"__esModule",{value:!0});class Timer{constructor(t){if(this.is_active=!1,this.start_value=0,this.count_down=!1,this.time_count=0,this.interval=1e3,void 0!==t&&!(t instanceof HTMLElement))throw new Error("Utilities.Timer() -> Invalid 'htmlElement' argument. Not an HTML element.");this.html_element=t,this.updateHtmlElement()}start(t){void 0===t&&(t={}),isNumber(t.startValue)||(t.startValue=0),isNumber(t.endValue)||(t.endValue=void 0),isFunction(t.onEnd)||(t.onEnd=void 0),isFunction(t.onTick)||(t.onTick=void 0),!0!==t.countDown&&(t.countDown=!1),isNumber(t.interval)||(t.interval=1e3),this.is_active&&this.stop(),this.count_down=t.countDown,this.time_count=t.startValue,this.start_value=t.startValue,this.end_value=t.endValue,this.interval=t.interval,this.end_callback=t.onEnd,this.tick_callback=t.onTick,this.updateHtmlElement(),this.resume()}resume(){if(this.is_active)return;const t=this.interval;this.is_active=!0,this.interval_f=window.setInterval(()=>{if(this.count_down?this.time_count-=t:this.time_count+=t,this.updateHtmlElement(),void 0!==this.tick_callback&&this.tick_callback(),void 0!==this.end_value){var e=!1;this.count_down?this.time_count<=this.end_value&&(e=!0):this.time_count>=this.end_value&&(e=!0),e&&(this.stop(),void 0!==this.end_callback&&this.end_callback())}},t)}stop(){this.interval_f&&(window.clearInterval(this.interval_f),this.interval_f=void 0),this.is_active=!1}reset(){this.stop(),this.time_count=this.start_value,this.updateHtmlElement()}restart(){this.reset(),this.start({startValue:this.start_value,endValue:this.end_value,onEnd:this.end_callback,onTick:this.tick_callback,countDown:this.count_down,interval:this.interval})}updateHtmlElement(){this.html_element&&(this.html_element.innerHTML=this.getTimeString())}add(t){this.time_count+=t}getTimeString(){return timeToString({time:this.time_count})}getTimeSeconds(){return this.time_count/1e3}getTimeMilliseconds(){return this.time_count}isActive(){return this.is_active}}class Timeout{constructor(){this.is_active=!1,this.id=-1}start(t,e){if(!isFunction(t)||!isNumber(e))throw new Error("Utilities.Timeout.start() -> Invalid arguments.");this.is_active&&this.clear(),this.is_active=!0,this.id=window.setTimeout(()=>{this.is_active=!1,t()},e)}clear(){window.clearTimeout(this.id),this.is_active=!1}isActive(){return this.is_active}}function shuffle(t){if(!isArray(t))throw new Error("Utilities.shuffle() -> Invalid 'array' argument. Not an array.");for(var e,i,n=t.length;0!==n;)i=Math.floor(Math.random()*n),e=t[--n],t[n]=t[i],t[i]=e;return t}function getObject(t){if(!isString(t))throw new Error("Utilities.getObject() -> Invalid 'key' argument. Not a string.");var e=localStorage.getItem(t);return e&&JSON.parse(e)}function saveObject(t,e){if(!isString(t))throw new Error("Utilities.saveObject() -> Invalid 'key' argument. Not a string.");localStorage.setItem(t,JSON.stringify(e))}function deepClone(t){return JSON.parse(JSON.stringify(t))}function createEnum(t,e){if(!isArray(t))throw new Error("Utilities.createEnum() -> Invalid 'values' argument. Needs to be an array of strings.");isNumber(e)||(e=0);for(var i={},n=t.length,o=0;o<n;o++){let n=t[o];i[e]=n,i[n]=e,e+=1}return i}function calculateAngle(t,e,i,n){if(!(isNumber(t)&&isNumber(e)&&isNumber(i)&&isNumber(n)))throw new Error("Utilities.calculateAngle() -> Invalid arguments. Needs to be a number.");var o=e-n,r=i-t;return Math.atan2(o,r)}function calculateDistance(t,e,i,n){if(!(isNumber(t)&&isNumber(e)&&isNumber(i)&&isNumber(n)))throw new Error("Utilities.calculateDistance() -> Invalid arguments. Needs to be a number.");var o=n-e,r=i-t;return Math.sqrt(Math.pow(o,2)+Math.pow(r,2))}function toDegrees(t){if(!isNumber(t))throw new Error("Utilities.toDegrees() -> Invalid 'radians' argument. Not a number.");return 180*t/Math.PI}function toRadians(t){if(!isNumber(t))throw new Error("Utilities.toRadians() -> Invalid 'degrees' argument. Not a number.");return t*Math.PI/180}function boxBoxCollision(t,e,i,n,o,r,s,a){return!(e+n<r||e>r+a||t>o+s||t+i<o)}function circleCircleCollision(t,e,i,n,o,r){var s=t-n,a=e-o;return Math.pow(s,2)+Math.pow(a,2)<=Math.pow(i+r,2)}function circlePointCollision(t,e,i,n,o){var r=t-n,s=e-o;return r*r+s*s<=i*i}function pointBoxCollision(t,e,i,n,o,r){return!(t<i||t>i+o||e<n||e>n+r)}!function(t){t[t.center=0]="center",t[t.bottomLeft=1]="bottomLeft",t[t.bottom=2]="bottom",t[t.bottomRight=3]="bottomRight"}(exports.DialogPosition||(exports.DialogPosition={}));class Dialog{constructor(t){this.onClose=t.onClose;const e=this.createContainer(t);this.container=e.container,this.title=e.title,this.body=e.body,this.opened=!1,!1!==t.modal&&(this.overlay=this.createOverlay(),this.keyUp=this.setupKeyboardShortcuts())}createContainer(t){const e=document.createElement("div"),i=document.createElement("div"),n=document.createElement("div");switch(i.className="dialogTitle",n.className="dialogBody",e.className="dialog",t.position){case exports.DialogPosition.bottomLeft:e.classList.add("dialog-bottomLeft");break;case exports.DialogPosition.bottom:e.classList.add("dialog-bottom");break;case exports.DialogPosition.bottomRight:e.classList.add("dialog-bottomRight");break;default:e.classList.add("dialog-center")}if(n.innerHTML=t.body,i.innerHTML=t.title,e.appendChild(i),e.appendChild(n),!1!==t.okButton){const t=this.createHorizontalRule(),i=this.createButtons();e.appendChild(t),e.appendChild(i)}return{container:e,title:i,body:n}}createHorizontalRule(){return document.createElement("hr")}createButtons(){const t=document.createElement("div"),e=document.createElement("button");return t.className="dialogButtons",e.className="dialogButton",e.innerText="Ok",e.onclick=()=>{this.close()},t.appendChild(e),t}createOverlay(){const t=document.createElement("div");return t.className="dialogOverlay",t}setupKeyboardShortcuts(){return t=>{switch(t.key){case"Escape":case"Enter":this.close()}}}addKeyboardShortcuts(){this.keyUp&&document.addEventListener("keyup",this.keyUp)}removeKeyboardShortcuts(){this.keyUp&&document.removeEventListener("keyup",this.keyUp)}open(){this.opened||(this.opened=!0,this.overlay&&document.body.appendChild(this.overlay),document.body.appendChild(this.container),this.addKeyboardShortcuts())}close(){this.opened&&(this.opened=!1,this.overlay&&document.body.removeChild(this.overlay),document.body.removeChild(this.container),this.removeKeyboardShortcuts(),this.onClose&&this.onClose())}isOpened(){return this.opened}toggle(){this.opened?this.close():this.open()}setTitle(t){this.title.innerHTML=t}setBody(t){this.body.innerHTML=t}}exports.Dialog=Dialog,exports.Timeout=Timeout,exports.Timer=Timer,exports.boxBoxCollision=boxBoxCollision,exports.calculateAngle=calculateAngle,exports.calculateDistance=calculateDistance,exports.circleCircleCollision=circleCircleCollision,exports.circlePointCollision=circlePointCollision,exports.createEnum=createEnum,exports.deepClone=deepClone,exports.getObject=getObject,exports.getRandomFloat=getRandomFloat,exports.getRandomInt=getRandomInt,exports.getSeveralRandomInts=getSeveralRandomInts,exports.isArray=isArray,exports.isBoolean=isBoolean,exports.isFunction=isFunction,exports.isInteger=isInteger,exports.isNumber=isNumber,exports.isString=isString,exports.numberOfDigits=numberOfDigits,exports.pointBoxCollision=pointBoxCollision,exports.round=round,exports.saveObject=saveObject,exports.shuffle=shuffle,exports.timeToString=timeToString,exports.toDegrees=toDegrees,exports.toRadians=toRadians;
